> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update Group

> Update a contact group's name or description.

## Update Group

`PUT /api/groups/:id`

Update a contact group.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl -X PUT https://zeplo.ai/api/groups/5 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Premium Leads" }'
```

### Request body

**name** `string`

Updated group name.

**description** `string`

Updated group description.

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 5,
    "name": "Premium Leads",
    "description": "High-value potential customers",
    "updatedAt": "2026-01-15T14:00:00Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.